Show / Hide Table of Contents

Class OAuthAuthorizationProps

Properties for Authorization.oauth().

Inheritance
object
OAuthAuthorizationProps
Implements
IOAuthAuthorizationProps
Inherited Members
object.GetType()
object.MemberwiseClone()
object.ToString()
object.Equals(object)
object.Equals(object, object)
object.ReferenceEquals(object, object)
object.GetHashCode()
Namespace: Amazon.CDK.AWS.Events
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public class OAuthAuthorizationProps : IOAuthAuthorizationProps
Syntax (vb)
Public Class OAuthAuthorizationProps Implements IOAuthAuthorizationProps
Remarks

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
            // The values are placeholders you should change.
            using Amazon.CDK;
            using Amazon.CDK.AWS.Events;

            HttpParameter httpParameter;
            SecretValue secretValue;

            var oAuthAuthorizationProps = new OAuthAuthorizationProps {
                AuthorizationEndpoint = "authorizationEndpoint",
                ClientId = "clientId",
                ClientSecret = secretValue,
                HttpMethod = HttpMethod.POST,

                // the properties below are optional
                BodyParameters = new Dictionary<string, HttpParameter> {
                    { "bodyParametersKey", httpParameter }
                },
                HeaderParameters = new Dictionary<string, HttpParameter> {
                    { "headerParametersKey", httpParameter }
                },
                QueryStringParameters = new Dictionary<string, HttpParameter> {
                    { "queryStringParametersKey", httpParameter }
                }
            };

Synopsis

Constructors

OAuthAuthorizationProps()

Properties for Authorization.oauth().

Properties

AuthorizationEndpoint

The URL to the authorization endpoint.

BodyParameters

Additional string parameters to add to the OAuth request body.

ClientId

The client ID to use for OAuth authorization for the connection.

ClientSecret

The client secret associated with the client ID to use for OAuth authorization for the connection.

HeaderParameters

Additional string parameters to add to the OAuth request header.

HttpMethod

The method to use for the authorization request.

QueryStringParameters

Additional string parameters to add to the OAuth request query string.

Constructors

OAuthAuthorizationProps()

Properties for Authorization.oauth().

public OAuthAuthorizationProps()
Remarks

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
            // The values are placeholders you should change.
            using Amazon.CDK;
            using Amazon.CDK.AWS.Events;

            HttpParameter httpParameter;
            SecretValue secretValue;

            var oAuthAuthorizationProps = new OAuthAuthorizationProps {
                AuthorizationEndpoint = "authorizationEndpoint",
                ClientId = "clientId",
                ClientSecret = secretValue,
                HttpMethod = HttpMethod.POST,

                // the properties below are optional
                BodyParameters = new Dictionary<string, HttpParameter> {
                    { "bodyParametersKey", httpParameter }
                },
                HeaderParameters = new Dictionary<string, HttpParameter> {
                    { "headerParametersKey", httpParameter }
                },
                QueryStringParameters = new Dictionary<string, HttpParameter> {
                    { "queryStringParametersKey", httpParameter }
                }
            };

Properties

AuthorizationEndpoint

The URL to the authorization endpoint.

public string AuthorizationEndpoint { get; set; }
Property Value

string

Remarks

ExampleMetadata: fixture=_generated

BodyParameters

Additional string parameters to add to the OAuth request body.

public IDictionary<string, HttpParameter>? BodyParameters { get; set; }
Property Value

IDictionary<string, HttpParameter>

Remarks

Default: - No additional parameters

ClientId

The client ID to use for OAuth authorization for the connection.

public string ClientId { get; set; }
Property Value

string

Remarks

ExampleMetadata: fixture=_generated

ClientSecret

The client secret associated with the client ID to use for OAuth authorization for the connection.

public SecretValue ClientSecret { get; set; }
Property Value

SecretValue

Remarks

ExampleMetadata: fixture=_generated

HeaderParameters

Additional string parameters to add to the OAuth request header.

public IDictionary<string, HttpParameter>? HeaderParameters { get; set; }
Property Value

IDictionary<string, HttpParameter>

Remarks

Default: - No additional parameters

HttpMethod

The method to use for the authorization request.

public HttpMethod HttpMethod { get; set; }
Property Value

HttpMethod

Remarks

(Can only choose POST, GET or PUT).

QueryStringParameters

Additional string parameters to add to the OAuth request query string.

public IDictionary<string, HttpParameter>? QueryStringParameters { get; set; }
Property Value

IDictionary<string, HttpParameter>

Remarks

Default: - No additional parameters

Implements

IOAuthAuthorizationProps
Back to top Generated by DocFX